#### Beyond Linux® From Scratch (System V Edition) - Version r12.4-737

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libcdio-2.1.0

- Next

  libdvdcss-1.5.0

- Up
- Home

# libde265-1.0.16

## Introduction to libde265

The libde265 package contains an open source H.265 video codec implementation.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/strukturag/libde265/releases/download/v1.0.16/libde265-1.0.16.tar.gz

- Download MD5 sum: f3173ff6fa273e139de19e6e77bec9b6

- Download size: 817 KB

- Estimated disk space required: 30 MB

- Estimated build time: 0.2 SBU

### libde265 Dependencies

#### Optional

sdl2-compat-2.32.60 (for YUV overlay output support of dec265), both Qt 5 and FFmpeg-8.0.1 (for building sherlock265)

## Installation of libde265

First, prevent the installation of some programs which are only useful for hacking libde265:

    sed '/tools/d' -i Makefile.am &&
    ./autogen.sh

Install libde265 by running the following commands:

    ./configure --prefix=/usr         \
                --disable-sherlock265 \
                --disable-static      &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-sherlock265`: This switch disables the sherlock265 program because it requires Qt5, which is no longer in BLFS. The sherlock265 program is mostly useful for users who are editing H.265 videos.

`--enable-encoder`: This option enables the H.265 encoder, in addition to the decoder. The encoder is still experimental though so the instructions above do not contain this option.

## Contents

Installed Program: dec265
Installed Library: libde265.so
Installed Directory: /usr/include/libde265

### Short Descriptions

dec265 | decodes H.265 data (a raw bitstream of a stream with NAL units)
`libde265.so` | contains an H.265 video decoder

- Prev

  libcdio-2.1.0

- Next

  libdvdcss-1.5.0

- Up
- Home